<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
    <title>ILWD Library Introduction</title>
  </head>

  <body>
    <h1>ILWD Library Introduction</h1>

    The ILWD Library is based on XML. Its primary purpose is to provide an
    internal representation of data manipulated by LDAS.
    The syntax provides a framework upon which complex data structures can
    be constructed.

    <h1>ILWD types</h1>
    The ILwd storage format allows for many types of information to be stored.
    Below is a list of the core data formats.
    <ul>
    <li>LdasString - A sequence of printable characters.
    <li>LdasArray - A fixed length sequence of a single data type. Below is a
        list of supported data tyeps.
        <ul>
	<li>CHAR - 7 bit values (ASCII).
	<li>CHAR_U - 8 bit values (binary).
	<li>INT_2U - 2 byte unsigned integer.
	<li>INT_2S - 2 byte signed integer.
	<li>INT_4U - 4 byte unsigned integer.
	<li>INT_4S - 4 byte signed integer.
	<li>INT_8U - 8 byte unsigned integer.
	<li>INT_8S - 8 byte signed integer.
	<li>REAL_4 - 4 byte IEEE floating point number.
	<li>REAL_8 - 8 byte IEEE floating point number.
	</ul>
    <li>LdasExternal - Storage of data this has no interpretation within LDAS.
    <li>LdasContainer - A grouping type to build complex user defined data
        types from the system defined data types.
    </ul>
    <hr>
<!-- Created: Tue Jul  6 09:44:59 PDT 1999 -->
<!-- hhmts start -->
Last modified: Thu Oct 16 11:02:47 PDT 2003
<!-- hhmts end -->
  </body>
</html>
